org.keycloak.representations.idm

## Class ScopeMappingRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ScopeMappingRepresentation

-     public class ScopeMappingRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `client`
    `protected String` | `clientScope`
    `protected String` | `clientTemplate` Deprecated.
    `protected Set<String>` | `roles`
    `protected String` | `self`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopeMappingRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getClient()`
    `String` | `getClientScope()`
    `String` | `getClientTemplate()` Deprecated.
    `Set<String>` | `getRoles()`
    `String` | `getSelf()`
    `ScopeMappingRepresentation` | `role(String role)`
    `void` | `setClient(String client)`
    `void` | `setClientScope(String clientScope)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setSelf(String self)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### self

          protected String self

    - #### client

          protected String client

    - #### clientTemplate

          @Deprecated
          protected String clientTemplate

      Deprecated.

    - #### clientScope

          protected String clientScope

    - #### roles

          protected Set<String> roles

  - ### Constructor Detail

    - #### ScopeMappingRepresentation

          public ScopeMappingRepresentation()

  - ### Method Detail

    - #### getSelf

          public String getSelf()

    - #### setSelf

          public void setSelf(String self)

    - #### getClient

          public String getClient()

    - #### setClient

          public void setClient(String client)

    - #### getClientTemplate

          @Deprecated
          public String getClientTemplate()

      Deprecated.

    - #### getClientScope

          public String getClientScope()

    - #### setClientScope

          public void setClientScope(String clientScope)

    - #### getRoles

          public Set<String> getRoles()

    - #### setRoles

          public void setRoles(Set<String> roles)

    - #### role

          public ScopeMappingRepresentation role(String role)

Copyright © 2020 JBoss by Red Hat. All rights reserved.